Cite: Auto-filled references based on destination URL / DOI etc.
Closed, ResolvedPublic

Description

As an editor I can get paste a link or DOI into a simple form to get an auto-filled citation.

A user has their cursor in a place they would like to add a citation.
They click the Cite button on the toolbar.
An inspector opens in context, showing the title "Cite" a URL field, and a "Lookup" button.

Click-through prototype http://invis.io/HR2DK2FXM

Workflow

Detail of citation inspector
Include line below field with link that opens the manual citation dialogue.

Manual Citation Dialogue
First step now includes all items in the former Cite menu

Errors
DOI error - if incorrect amount of characters entered

URL error - if page not found

Generic error


Version: unspecified
Severity: enhancement

KHammerstein edited the task description. (Show Details)Via WebDec 3 2014, 11:06 PM
KHammerstein added a project: Design.
Mvolz added a comment.Via WebDec 4 2014, 11:39 AM

Hi Kaity,

What should the user see if there are no results?

For most urls I think it should just be the linked url, and then they can edit that, but for some identifiers (like issn, isbn) it's definitely possible there won't be anything to display at all. And we may or may not know what kind of ID it is (although we could guess?) I'm assuming it should go to this page https://www.mediawiki.org/wiki/VisualEditor/Design/Reference_Dialog#mediaviewer/File:Magic_cite4-02.png automatically but should there be some sort of error message or something....

Also it's possible that if the scraping is bad- i.e. it's just the text of the url as the title- these automatically are set as web citations, but it's possible the user will want to change the citation type from web to journal, for instance. Any thoughts on that?

KHammerstein added a comment.Via WebDec 8 2014, 10:28 PM

Hi Marielle,
I think we should leave the user on the same screen, in case they messed up the number and want to try again.
We should show an error message that says something like "We couldn't find that book" and maybe give a hint like "An ISBN is usually 10 or 13 digits."
And the user still has the option at the bottom to go to the screen to enter the citation manually.

KHammerstein changed the title from "Auto-filled references based on destination URL / ISBN / etc." to "Cite: Auto-filled references based on destination URL / ISBN / etc.".Via WebDec 8 2014, 11:13 PM
Sjoerddebruin added a subscriber: Sjoerddebruin.Via WebJan 27 2015, 10:28 AM
Jdforrester-WMF set Story Points to 100.Via WebFeb 2 2015, 7:47 PM
TrevorParscal changed Story Points from 100 to 1000.Via WebFeb 2 2015, 7:47 PM
Jdforrester-WMF moved this task to Accepted on the VisualEditor 2014/15 Q3 blockers workboard.Via WebFeb 3 2015, 5:04 PM
Jdforrester-WMF added a project: Epic.Via WebFeb 3 2015, 7:53 PM
Eloquence added a subscriber: Eloquence.Via WebFeb 4 2015, 4:47 AM
TrevorParscal changed Story Points from 1000 to 160.Via WebFeb 4 2015, 7:15 PM
KHammerstein edited the task description. (Show Details)Via WebFeb 19 2015, 6:56 PM
KHammerstein edited the task description. (Show Details)Via WebFeb 19 2015, 7:00 PM
KHammerstein edited the task description. (Show Details)
KHammerstein edited the task description. (Show Details)Via WebFeb 19 2015, 11:04 PM
KHammerstein edited the task description. (Show Details)Via WebFeb 20 2015, 11:30 PM
KHammerstein edited the task description. (Show Details)Via WebFeb 23 2015, 7:27 PM
KHammerstein edited the task description. (Show Details)Via WebFeb 23 2015, 7:36 PM
KHammerstein edited the task description. (Show Details)Via WebFeb 23 2015, 7:43 PM
KHammerstein edited the task description. (Show Details)Via WebFeb 23 2015, 9:09 PM
Jdforrester-WMF moved this task to March 2015: Features on the Epic workboard.Via WebFeb 25 2015, 4:19 PM
Elitre added a subscriber: Elitre.Via WebFeb 27 2015, 3:43 PM
KHammerstein edited the task description. (Show Details)Via WebMar 5 2015, 2:03 AM
KHammerstein edited the task description. (Show Details)
Jdforrester-WMF added a project: Roadmap.Via WebMar 5 2015, 10:09 PM
Jdforrester-WMF moved this task to March 2015: Features & Apps on the Roadmap workboard.
KHammerstein edited the task description. (Show Details)Via WebMar 6 2015, 1:16 AM
Eloquence added a comment.Via WebMar 6 2015, 2:55 AM

Can we project a "week of" deployment ETA?

Jdforrester-WMF added a comment.Via WebMar 6 2015, 11:20 PM

Can we project a "week of" deployment ETA?

No. Everything is backed up on T89656: Get citoid working in production which has an unknown schedule.

Liuxinyu970226 added a subscriber: Liuxinyu970226.Via WebMar 7 2015, 3:12 AM
Ainali added a subscriber: Ainali.Via WebMar 7 2015, 9:18 AM
Eloquence moved this task to Backlog on the Epic workboard.Via WebMar 10 2015, 5:43 AM
gerritbot added a subscriber: gerritbot.Via ConduitMar 10 2015, 11:32 PM

Change 195802 had a related patch set uploaded (by Mooeypoo):
Redesign the citation widget in the citoid inspector

https://gerrit.wikimedia.org/r/195802

gerritbot added a project: Patch-For-Review.Via ConduitMar 10 2015, 11:32 PM
Mooeypoo added a subscriber: Mooeypoo.Via WebMar 11 2015, 11:36 PM
gpaumier added a project: user-notice.Via WebMar 12 2015, 6:01 PM
gpaumier moved this task to Not ready to announce on the user-notice workboard.
Asahiko added a subscriber: Asahiko.Via WebMar 12 2015, 8:39 PM
gerritbot added a comment.Via ConduitMar 13 2015, 8:33 PM

Change 196645 had a related patch set uploaded (by Mooeypoo):
[wip] Add general citations dialog

https://gerrit.wikimedia.org/r/196645

gerritbot added a comment.Via ConduitMar 16 2015, 4:23 PM

Change 197074 had a related patch set uploaded (by Jforrester):
Enable Citoid extension on all VisualEditor wikis

https://gerrit.wikimedia.org/r/197074

Jdforrester-WMF closed this task as "Resolved".Via WebMar 16 2015, 8:04 PM
Jdforrester-WMF moved this task to Done on the VisualEditor 2014/15 Q3 blockers workboard.
gerritbot added a comment.Via ConduitMar 17 2015, 12:24 AM

Change 196645 merged by jenkins-bot:
Add general citations dialog

https://gerrit.wikimedia.org/r/196645

gerritbot added a comment.Via ConduitMar 17 2015, 12:32 AM

Change 195802 merged by jenkins-bot:
Redesign the citation widget in the citoid inspector

https://gerrit.wikimedia.org/r/195802

Liuxinyu970226 removed a subscriber: Liuxinyu970226.Via WebMar 17 2015, 3:54 PM
Jdforrester-WMF moved this task to Done on the VisualEditor workboard.Via WebMar 18 2015, 2:29 AM
gerritbot added a comment.Via ConduitMar 19 2015, 3:29 PM

Change 197074 merged by jenkins-bot:
Enable Citoid extension on all VisualEditor wikis

https://gerrit.wikimedia.org/r/197074

gerritbot added a comment.Via ConduitMar 19 2015, 3:46 PM

Change 197925 had a related patch set uploaded (by Alex Monk):
Enable Citoid extension on all VisualEditor wikis

https://gerrit.wikimedia.org/r/197925

gerritbot added a project: Patch-For-Review.Via ConduitMar 19 2015, 3:46 PM
gerritbot added a comment.Via ConduitMar 19 2015, 3:55 PM

Change 197925 merged by jenkins-bot:
Enable Citoid extension on all VisualEditor wikis

https://gerrit.wikimedia.org/r/197925

gpaumier moved this task to Announce in next Tech/News on the user-notice workboard.Via WebMar 19 2015, 9:09 PM
gpaumier moved this task to Not ready to announce on the user-notice workboard.Via WebMar 19 2015, 9:57 PM
gerritbot added a comment.Via ConduitMar 20 2015, 5:45 PM

Change 198261 had a related patch set uploaded (by Mooeypoo):
Add general citations dialog

https://gerrit.wikimedia.org/r/198261

Asahiko removed a subscriber: Asahiko.Via WebMar 20 2015, 7:57 PM
gerritbot added a comment.Via ConduitMar 21 2015, 12:47 AM

Change 198261 abandoned by Mooeypoo:
Add general citations dialog

Reason:
Not needed.

https://gerrit.wikimedia.org/r/198261

Mvolz changed the title from "Cite: Auto-filled references based on destination URL / ISBN / etc." to "Cite: Auto-filled references based on destination URL / DOI etc.".Via WebSun, Mar 22, 8:28 AM
Mvolz edited the task description. (Show Details)
Mvolz added a comment.EditedVia WebSun, Mar 22, 8:31 AM

FYI citoid does not support ISBNs yet so I edited that bit out- very surprised to find out we supported ISBNs when I read the tech bulletin on my RSS reader this morning, and it was probably because it was in the description here.

@gpaumier Also, I noticed this is tagged "not ready to announce" yet - does that not apply to tech bulletin? If so there's still technically time to remove it because even though it ended up in my RSS reader, because publication is not technically until tomorrow.

Mvolz added a subscriber: gpaumier.Via WebSun, Mar 22, 8:40 AM
Elitre added a comment.Via WebSun, Mar 22, 12:09 PM

(I find the link to the design page confusing. Some parts of the interface are different in production - and the last 2 screenshots on the page would show the regular Cite flow - which is not so "connected" to Citoid.)

Mvolz added a comment.Via EmailSun, Mar 22, 12:13 PM

Elitre, I agree. It hasn't been re-triggered for translation yet so there
is still time to remove that link.

gpaumier moved this task to Announce in next Tech/News on the user-notice workboard.Via WebMon, Mar 23, 2:48 PM
gpaumier added a comment.Via WebMon, Mar 23, 3:02 PM

FYI citoid does not support ISBNs yet so I edited that bit out- very surprised to find out we supported ISBNs when I read the tech bulletin on my RSS reader this morning, and it was probably because it was in the description here.

Thank you for the heads-up. I wasn't sure we'd be announcing this in Tech News, because I was confused about the status of this feature, due to last week's rushed deployment. This is why this task was marked as "Not ready to announce" (which does apply to Tech News). On Friday, James added the item to the newsletter, and I edited it to use simpler language; I also added the ISBN bit, based on this task's title.

@gpaumier Also, I noticed this is tagged "not ready to announce" yet - does that not apply to tech bulletin? If so there's still technically time to remove it because even though it ended up in my RSS reader, because publication is not technically until tomorrow.

Yes, however we can't make last-minute edits to the newsletter because that only changes the English version; translators need more time to echo the changes.

Considering that:

  • the current text is inaccurate and could cause confusion if sent,
  • the current text only concerns two wikis that have already been notified of the feature,
  • and there is no urgency in sending this information,

I've removed the Citoid item from this week's issue entirely, and added it to the list of items to announce in next week's newsletter.

Sjoerddebruin removed a subscriber: Sjoerddebruin.Via WebMon, Mar 23, 3:03 PM
gpaumier moved this task to In current Tech News draft on the user-notice workboard.Via WebThu, Mar 26, 11:33 PM
Restricted Application added a project: notice. · View Herald TranscriptVia HeraldThu, Mar 26, 11:33 PM
Jdforrester-WMF moved this task to This week: March 23-27 on the Roadmap workboard.Via WebFri, Mar 27, 10:31 PM
Ricordisamoa added a subscriber: Ricordisamoa.Via WebMon, Mar 30, 6:58 PM
gpaumier moved this task to Recently announced in Tech/News on the user-notice workboard.Via WebMon, Mar 30, 8:15 PM
gpaumier moved this task to Triaged on the notice workboard.
gpaumier moved this task to Archive on the user-notice workboard.Via WebFri, Apr 3, 8:49 PM
gpaumier moved this task to Archive on the notice workboard.Via WebThu, Apr 9, 5:45 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.